/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-08-07
 * 描述            ：合同行精度等级表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.ContractManagement.vo;
import java.io.Serializable;
import java.util.Date;

import market.Slm.ContractManagement.mapper.SlmContractLineLvMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CONTRACT_LINE_LV", namespace=SlmContractLineLvMapper.class)
public class SlmContractLineLv extends BaseVO implements Serializable {
	
	/** 
	 * 主键
	 */ 
	@Id
	private String seq;
	public String getSeq() {
		return this.seq;
	}
	public void setSeq(String seq) {
		this.seq = seq;
	}
	/** 
	 * 合同行号
	 */ 
	@Column
	private String contract_line_no;
	public String getContract_line_no() {
		return this.contract_line_no;
	}
	public void setContract_line_no(String contract_line_no) {
		this.contract_line_no = contract_line_no;
	}

	/** 
	 * 合同行序号
	 */ 
	@Column
	private String contract_line_seq;
	public String getContract_line_seq() {
		return this.contract_line_seq;
	}
	public void setContract_line_seq(String contract_line_seq) {
		this.contract_line_seq = contract_line_seq;
	}

	/** 
	 * 合同头主键
	 */ 
	@Column
	private String contract_pk;
	public String getContract_pk() {
		return this.contract_pk;
	}
	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}
	
	/** 
	 * 订单主键
	 */ 
	@Column
	private String order_no;
	public String getOrder_no() {
		return order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}
	
	/** 
	 * 订单序号
	 */ 
	@Column
	private String order_seq;
	public String getOrder_seq() {
		return order_seq;
	}
	public void setOrder_seq(String order_seq) {
		this.order_seq = order_seq;
	}
	/** 
	 *  精度等级(404103)
	 */ 
	@Column
	private String lv_code;
	public String getLv_code() {
		return this.lv_code;
	}
	public void setLv_code(String lv_code) {
		this.lv_code = lv_code;
	}

	/** 
	 *  精度等级描述
	 */ 
	@Column
	private String lv_desc;
	public String getLv_desc() {
		return this.lv_desc;
	}
	public void setLv_desc(String lv_desc) {
		this.lv_desc = lv_desc;
	}

	/** 
	 * 公差项目代码（T0001）
	 */ 
	@Column
	private String tol_code;
	public String getTol_code() {
		return this.tol_code;
	}
	public void setTol_code(String tol_code) {
		this.tol_code = tol_code;
	}

	/** 
	 * 公差项目描述
	 */ 
	@Column
	private String tol_name;
	public String getTol_name() {
		return this.tol_name;
	}
	public void setTol_name(String tol_name) {
		this.tol_name = tol_name;
	}
	
	/** 
	 * 0合同行 1订单
	 */ 
	@Column
	private String is_flag;

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man_no;
	
	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man_name;

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	public String getCreate_man_no() {
		return create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}
	public String getCreate_man_name() {
		return create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}
	public String getIs_flag() {
		return is_flag;
	}
	public void setIs_flag(String is_flag) {
		this.is_flag = is_flag;
	}
}
